\usepackage{tikz}
\usetikzlibrary{calc}
\newcommand\Footer{
\begin{tikzpicture}[remember picture, overlay]
\node(background) [
  shape=rectangle,
  fill=black,
  minimum width=\paperwidth,
  minimum height=3cm,
  text width=0.92\paperwidth,
  text height=-0.2cm,
  anchor=south west,
  font=\footnotesize\bfseries, align=left
] at (current page.south west){\color{white}
  \begin{minipage}[t]{0.215\textwidth}\baselineskip=10pt
    \tiny
    \InvoiceSenderFirm\\
    \InvoiceSenderAddress\\
    \InvoiceSenderPostalcode\ \InvoiceSenderPlace\\
    \LabelManagement: \InvoiceSenderManager\\
  \end{minipage}
  \begin{minipage}[t]{0.315\textwidth}\baselineskip=10pt
    \tiny
    \LabelChamberOfCommerce: \InvoiceSenderRegister\\
    \LabelCourt: \InvoiceSenderRegistryCourt\\
    \LabelTaxId: \InvoiceSenderTaxNumber\\
    \LabelVatId: \InvoiceSenderVATCode\\
  \end{minipage}
  \begin{minipage}[t]{0.22\textwidth}\baselineskip=10pt
    \tiny
    \LabelBankDetails: \InvoiceSenderBankInhaber\\
    \LabelBIC: \InvoiceSenderBankBIC\\
    \LabelIBAN: \InvoiceSenderBankIBAN
  \end{minipage}
};
\ifdef{\InvoiceSenderFooterLogo}{
  \node[anchor=south east, yshift=0.2cm] at (current page.south east) {\InvoiceSenderFooterLogo};
}{}
\end{tikzpicture}}
